> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a price level

> Updates an existing price level.



## OpenAPI

````yaml POST /quickbooks-desktop/price-levels/{id}
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/price-levels/{id}:
    post:
      summary: Update a price level
      description: Updates an existing price level.
      parameters:
        - in: path
          name: id
          description: >-
            The QuickBooks-assigned unique identifier of the price level to
            update.
          schema:
            type: string
            description: >-
              The QuickBooks-assigned unique identifier of the price level to
              update.
            example: 80000001-1234567890
          required: true
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                revisionNumber:
                  type: string
                  description: >-
                    The current QuickBooks-assigned revision number of the price
                    level object you are updating, which you can get by fetching
                    the object first. Provide the most recent `revisionNumber`
                    to ensure you're working with the latest data; otherwise,
                    the update will return an error.
                  example: '1721172183'
                name:
                  type: string
                  maxLength: 31
                  description: >-
                    The case-insensitive unique name of this price level, unique
                    across all price levels.


                    **NOTE**: Price levels do not have a `fullName` field
                    because they are not hierarchical objects, which is why
                    `name` is unique for them but not for objects that have
                    parents.


                    Maximum length: 31 characters.
                  example: Wholesale 20% Discount
                isActive:
                  type: boolean
                  description: >-
                    Indicates whether this price level is active. Inactive
                    objects are typically hidden from views and reports in
                    QuickBooks. Defaults to `true`.
                  example: true
                fixedPercentage:
                  type: string
                  description: >-
                    The fixed percentage adjustment applied to all items for
                    this price level (instead of a per-item price level). Once
                    you create the price level, you cannot change this.


                    When this price level is applied to a customer, it
                    automatically adjusts the `rate` and `amount` columns for
                    applicable line items in sales orders and invoices for that
                    customer. This value supports both positive and negative
                    values - a value of "20" increases prices by 20%, while
                    "-10" decreases prices by 10%.
                  example: '-10.0'
                perItemPriceLevels:
                  type: array
                  items:
                    type: object
                    properties:
                      itemId:
                        type: string
                        description: >-
                          The item associated with this per-item price level.
                          This can refer to any good or service that the
                          business buys or sells, including item types such as a
                          service item, inventory item, or special calculation
                          item like a discount item or sales-tax item.
                        example: 80000001-1234567890
                      customPrice:
                        type: string
                        description: >-
                          The fixed amount custom price for this per-item price
                          level that overrides the standard price for the
                          specified item. Used when setting an absolute price
                          value for the item in this price level.
                        example: '19.99'
                      customPricePercent:
                        type: string
                        description: >-
                          The fixed discount percentage for this per-item price
                          level that modifies the specified item's standard
                          price. Used to create a fixed percentage markup or
                          discount specific to this item within this price
                          level.
                        example: '15.0'
                      adjustPercentage:
                        type: string
                        description: >-
                          The percentage adjustment for this per-item price
                          level when using relative pricing. Specifies a
                          percentage to modify pricing, using positive values
                          (e.g., "20") to increase prices by that percentage, or
                          negative values (e.g., "-10") to apply a discount.
                        example: '-10.0'
                      adjustRelativeTo:
                        type: string
                        enum:
                          - cost
                          - current_custom_price
                          - standard_price
                        description: >-
                          The base value reference for this per-item price
                          level's percentage adjustment. Specifies which price
                          to use as the starting point for the adjustment
                          calculation in the price level.


                          **NOTE:** The price level must use either a fixed
                          pricing approach (`customPrice` or
                          `customPricePercent`) or a relative adjustment
                          approach (`adjustPercentage` with `adjustRelativeTo`)
                          when configuring per-item price levels.
                        example: standard_price
                    required:
                      - itemId
                      - adjustPercentage
                      - adjustRelativeTo
                    additionalProperties: false
                  minItems: 1
                  description: >-
                    The per-item price level configurations for this price
                    level.
                currencyId:
                  type: string
                  description: >-
                    The price level's currency. For built-in currencies, the
                    name and code are standard ISO 4217 international values.
                    For user-defined currencies, all values are editable.
                  example: 80000001-1234567890
              required:
                - revisionNumber
              additionalProperties: false
      responses:
        '200':
          description: Returns the updated price level.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/qbd_price_level'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const priceLevel = await
            conductor.qbd.priceLevels.update('80000001-1234567890', {
              revisionNumber: '1721172183',
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });


            console.log(priceLevel.id);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            price_level = conductor.qbd.price_levels.update(
                id="80000001-1234567890",
                revision_number="1721172183",
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(price_level.id)
components:
  schemas:
    qbd_price_level:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this price level.
            This ID is unique across all price levels but not across different
            QuickBooks object types.
          example: 80000001-1234567890
        objectType:
          type: string
          const: qbd_price_level
          description: The type of object. This value is always `"qbd_price_level"`.
          example: qbd_price_level
        createdAt:
          type: string
          description: >-
            The date and time when this price level was created, in ISO 8601
            format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-01-01T12:34:56.000Z'
        updatedAt:
          type: string
          description: >-
            The date and time when this price level was last updated, in ISO
            8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-02-01T12:34:56.000Z'
        revisionNumber:
          type: string
          description: >-
            The current QuickBooks-assigned revision number of this price level
            object, which changes each time the object is modified. When
            updating this object, you must provide the most recent
            `revisionNumber` to ensure you're working with the latest data;
            otherwise, the update will return an error.
          example: '1721172183'
        name:
          type: string
          description: >-
            The case-insensitive unique name of this price level, unique across
            all price levels.


            **NOTE**: Price levels do not have a `fullName` field because they
            are not hierarchical objects, which is why `name` is unique for them
            but not for objects that have parents.
          example: Wholesale 20% Discount
        isActive:
          type: boolean
          description: >-
            Indicates whether this price level is active. Inactive objects are
            typically hidden from views and reports in QuickBooks. Defaults to
            `true`.
          example: true
        priceLevelType:
          type: string
          enum:
            - fixed_percentage
            - per_item
          description: The price level's type.
          example: fixed_percentage
        fixedPercentage:
          type:
            - string
            - 'null'
          description: >-
            The fixed percentage adjustment applied to all items for this price
            level (instead of a per-item price level). Once you create the price
            level, you cannot change this.


            When this price level is applied to a customer, it automatically
            adjusts the `rate` and `amount` columns for applicable line items in
            sales orders and invoices for that customer. This value supports
            both positive and negative values - a value of "20" increases prices
            by 20%, while "-10" decreases prices by 10%.
          example: '-10.0'
        perItemPriceLevels:
          type: array
          items:
            $ref: '#/components/schemas/qbd_per_item_price_level'
          description: The per-item price level configurations for this price level.
        currency:
          type:
            - object
            - 'null'
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: >-
            The price level's currency. For built-in currencies, the name and
            code are standard ISO 4217 international values. For user-defined
            currencies, all values are editable.
          example:
            id: 80000001-1234567890
            fullName: USD
      required:
        - id
        - objectType
        - createdAt
        - updatedAt
        - revisionNumber
        - name
        - isActive
        - priceLevelType
        - fixedPercentage
        - perItemPriceLevels
        - currency
      additionalProperties: false
      title: The Price Level object
      x-conductor-object-type: other
      summary: >-
        A price level is a configuration that establishes a default price for
        items. It can be applied to customers to automatically adjust item
        prices for those customers. Price levels can be either fixed percentages
        or per-item price levels.
    qbd_per_item_price_level:
      type: object
      properties:
        item:
          type: object
          properties:
            id:
              type:
                - string
                - 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              type:
                - string
                - 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: >-
            The item associated with this per-item price level. This can refer
            to any good or service that the business buys or sells, including
            item types such as a service item, inventory item, or special
            calculation item like a discount item or sales-tax item.
          example:
            id: 80000001-1234567890
            fullName: Widget A
        customPrice:
          type:
            - string
            - 'null'
          description: >-
            The fixed amount custom price for this per-item price level that
            overrides the standard price for the specified item. Used when
            setting an absolute price value for the item in this price level.
          example: '19.99'
        customPricePercent:
          type:
            - string
            - 'null'
          description: >-
            The fixed discount percentage for this per-item price level that
            modifies the specified item's standard price. Used to create a fixed
            percentage markup or discount specific to this item within this
            price level.
          example: '15.0'
      required:
        - item
        - customPrice
        - customPricePercent
      additionalProperties: false
      title: The Per-Item Price Level object
      x-conductor-object-type: nested
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).